#!/bin/bash

set -e
src=elastic

cmd="curl -o /usr/share/keyrings/$src.asc https://artifacts.elastic.co/GPG-KEY-elasticsearch"
eval $cmd

cat <<EOF >/etc/apt/sources.list.d/$src.list
# https://www.elastic.co/guide/en/elasticsearch/reference/current/deb.html
# For new GPG key use:
#   $cmd

deb [arch=amd64 signed-by=/usr/share/keyrings/$src.asc] https://artifacts.elastic.co/packages/8.x/apt stable main
EOF
